Subject: Re: bug#63554: 63554

From: Jelle Licht <[email-masked]>
Date: Wed, 04 Sep 2024 11:17:20 +0200

(I decoded html entities ):
"andy" via Bug reports for GNU Guix <[email-masked]> writes:
>  Also had this exact same problem. Looking at patch #56880, it tried
>  to add the shared option, but found that the `mount(2)` syscall had
>  to be called twice, once to mount it, then once to make the already
>  existing mount shared, so just adding the bit-flag `MS_SHARED` to
>  that syscall didn't work. The patch seems to not include that bitflag
>  until someone needed it enough to implement calling `mount(2)`
>  twice. Pretty sure the option doesn't do anything because it doesn't
>  change the bit-flag in the `mount-flags->bit-mask` procedure at
>  https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/build/file-systems.scm#n1155
>  So the bug seems to be intentional, and a fix would have to have guix
>  first mount the filesystem normally, then change it to a shared
>  mount.

Is this something that just needs to be picked up by someone, or would
it be more complicated than that?

- Jelle